import { JwtVerifierOptions, JwtVerifierError } from '@serverless-jwt/jwt-verifier';
interface Event {
    headers: Record<string, unknown>;
}
interface NetlifyJwtVerifier {
    (handler: any): (event: Event, context: any, cb: any) => Promise<any>;
}
interface NetlifyJwtVerifierOptions extends JwtVerifierOptions {
    /**
     * Customize how errors are handled.
     */
    handleError?(err: Error | JwtVerifierError): Record<string, unknown>;
}
export interface IdentityContext {
    /**
     * The token that was provided.
     */
    token: string;
    /**
     * Claims for the authenticated user.
     */
    claims: Record<string, unknown>;
}
/**
 * Create a JWT verifier handler.
 * @param options
 */
export declare const NetlifyJwtVerifier: (options: NetlifyJwtVerifierOptions) => NetlifyJwtVerifier;
export { claimToArray, removeNamespaces, getTokenFromHeader } from '@serverless-jwt/jwt-verifier';
